import Head from 'next/head'
import Cards from '../components/Cards'
import Chiffres from '../components/Chiffres'
import FirstSection from '../components/FirstSection'
import Header from '../components/Header'
import Jumbotron from '../components/Jumbotron'
import NavBar from '../components/NavBar'
import SecondSection from '../components/SecondSection'
import Slider from '../components/Slider'
import NewsLetter from '../components/NewsLetter'
import Footer from '../components/Footer'
import ContactForm from '../components/ContactForm'
import { sanityClient } from '../sanity'
import CookieConsent from 'react-cookie-consent'

export default function Home({posts}) {
  return (
    <div>
      <Head>
        <title>Les ateliers de Rosa</title>
        <meta name="description" content="Generated by create next app" />
        <link rel="icon" href="/favicon.ico" />
      </Head>

      

      {/* Jumbotron */}
      <Jumbotron />

      {/* First Section */}
      <FirstSection />

      {/* Second Section */}
      <SecondSection />

      {/* Slider */}
      <Slider />


      {/* Chiffres */}
      <Chiffres />

      {/* Cards */}
      <Cards posts={posts}
      />

      {/* NewsLetter */}
     <ContactForm/>

      <CookieConsent enableDeclineButton flipButtons buttonStyle={{background:"#00A300", color:"white"}}
      buttonText="J'accepte" declineButtonText="Je refuse" debug={true}
      >Ce site utilise des cookies pour améliorer votre expérience.

      </CookieConsent>
    
    </div>


  )
}


export const getServerSideProps = async () => {
  const query = `*[_type == "post"] {
    _id,
    title,
    slug,
    author -> {
    name,
    image
  },
    description,
    mainImage,
    slug
  
  }`;
  const posts = await sanityClient.fetch(query);

  return {
      props: {
          posts,
      },
  }
}